/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { StrategyBasedIndicator } from "./StrategyBasedIndicator";
import { IShortPeriodLongPeriod_$type } from "./IShortPeriodLongPeriod";
import { ChaikinOscillatorIndicatorStrategy } from "./ChaikinOscillatorIndicatorStrategy";
import { typeGetValue, markType } from "igniteui-react-core/ES2015/type";
export class ChaikinOscillatorIndicator extends StrategyBasedIndicator {
    get_p3() {
        return new ChaikinOscillatorIndicatorStrategy();
    }
    get p3() {
        return this.get_p3();
    }
    get_qg() {
        return ChaikinOscillatorIndicator.$;
    }
    get qg() {
        return this.get_qg();
    }
    get shortPeriod() {
        return typeGetValue(this.c(ChaikinOscillatorIndicator.qp));
    }
    set shortPeriod(a) {
        this.h(ChaikinOscillatorIndicator.qp, a);
    }
    qb() {
        return this.shortPeriod;
    }
    get longPeriod() {
        return typeGetValue(this.c(ChaikinOscillatorIndicator.qo));
    }
    set longPeriod(a) {
        this.h(ChaikinOscillatorIndicator.qo, a);
    }
    p8() {
        return this.longPeriod;
    }
}
ChaikinOscillatorIndicator.$t = markType(ChaikinOscillatorIndicator, 'ChaikinOscillatorIndicator', StrategyBasedIndicator.$, [IShortPeriodLongPeriod_$type]);
ChaikinOscillatorIndicator.qp = StrategyBasedIndicator.qn(3, ChaikinOscillatorIndicator.$);
ChaikinOscillatorIndicator.qo = StrategyBasedIndicator.qj(10, ChaikinOscillatorIndicator.$);
